Name:           python-command-runner
Version:        1.7.4
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        Platform agnostic command and shell execution tool, also allows UAC/sudo privilege elevation

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://github.com/netinvent/command_runner
Source:         %{pypi_source command_runner}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'command-runner' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-command-runner
Summary:        %{summary}

%description -n python3-command-runner %_description


%prep
%autosetup -p1 -n command_runner-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-command-runner -f %{pyproject_files}


%changelog
%autochangelog